#!/bin/csh

set part1 = OFR_allbrch_OHR_OFR185
set part2 = 200403

set flagfile = ncplot_input_module.f90.setE

set link_reqd = no

set resdir = /ur/julial/PEOPLE/Zhe
set lnkdir = /ur/julial/GECKO/GIT_COPY/GECKO-A/BOXMOD_RUNS
set ftpdir = /ftp/user/julial/for_Zhe

foreach species ( mxyl decane isoprene )
  if ( $species == 'decane' ) then
    set abb = dec
    set part3 = ''
  endif  
  if ( $species == 'isoprene' ) then
    set abb = isop
    set part3 = _dtmin_tlen_pt001
  endif  
  if ( $species == 'mxyl' ) then
    set abb = mxyl
    set part3 = _dtmin_tlen_pt0025
  endif  

  foreach case ( MML HHL LHL HLL HHV ) 

    set runname = $species'_'$part1'_'$abb'_'$case'_'$part2$part3
    if ( $link_reqd == yes )  then
      ln -s $resdir/$runname $lnkdir/$runname
    endif

    ./run_extractor_local.bash -r $runname -f $flagfile

    if ( $link_reqd == yes )  then
      cp $resdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    else
      cp $lnkdir/$runname'/post.ascii' $ftpdir'/'$runname'.ascii'
    endif
  end
end
